Add WikiTeX to Wikimedia server farm
Closed, InvalidPublic

Assigned To
Aklapper
Priority
Lowest
Author
bzimport
Commits
Unknown Object (Diffusion Commit)
Subscribers
Matanya, wikibugs-l-list, duplicatebug
Projects
Reference
bz1792
Description

Author: leercontainer-bugzilla

Description:
WikiTeX enables coding of music, chemical formulas, chess and much more. It has
been requested several times. My intention with this bug is to track issues that
WikiMedia og MediaWiki developers have with it, interest, and such.

Myself I think we should perhaps decide to use only a subset of the
functionality provided so as not to make things too complicated, and not start
using WikiTeX if we'd rather use something else (see f. ex. ABC music notation
standard at bug # 189).

From reading:
http://mail.wikimedia.org/pipermail/wikitech-l/2004-December/thread.html#26670

it looks pretty clear that the major holdup preventing WikiTeX implementation is
security.


Version: unspecified
Severity: enhancement
URL: http://www.wikisophia.org

bzimport added a project: Wikimedia-Site-Requests.Via ConduitNov 21 2014, 8:19 PM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz1792.
bzimport created this task.Via LegacyMar 31 2005, 4:51 PM
MaxSem added a comment.Via ConduitJul 7 2010, 6:15 PM

Removing shell keyword, this extension is unmaintained and even when it was it wasn't ready for WMF deployment (due to possibilities of DoS, code quality, lack of localization, etc).

Matanya added a comment.Via ConduitJul 23 2012, 7:07 AM

The extension was abandoned. closing as invalid.

epriestley changed the task status from "Invalid" to "Resolved" by committing Unknown Object (Diffusion Commit).Via DaemonsMar 4 2015, 8:23 AM
Aklapper changed the task status from "Resolved" to "Invalid".Via WebMar 4 2015, 11:48 AM
Aklapper claimed this task.

Add Comment